com.unitech.lib.util.diagnotics

## Class Dump

- java.lang.Object
- - com.unitech.lib.util.diagnotics.Dump

-     public class Dump
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dump()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `dump(byte[] buf)`
    `static java.lang.String` | `dump(byte[] buf, int length)`
    `static java.lang.String` | `dump(byte[] buf, int offset, int length)`
    `static java.lang.String` | `dump(int[] buf)`
    `static java.lang.String` | `dump(int[] buf, int length)`
    `static java.lang.String` | `dump(int[] buf, int offset, int length)`
    `static java.lang.String` | `dump(java.lang.Object[] buf)`
    `static java.lang.String` | `dump(java.lang.Object[] buf, int length)`
    `static java.lang.String` | `dump(java.lang.Object[] buf, int offset, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dump

          public Dump()

  - ### Method Detail

    - #### dump

          public static java.lang.String dump(byte[] buf)

    - #### dump

          public static java.lang.String dump(byte[] buf,
                                              int length)

    - #### dump

          public static java.lang.String dump(byte[] buf,
                                              int offset,
                                              int length)

    - #### dump

          public static java.lang.String dump(int[] buf)

    - #### dump

          public static java.lang.String dump(int[] buf,
                                              int length)

    - #### dump

          public static java.lang.String dump(int[] buf,
                                              int offset,
                                              int length)

    - #### dump

          public static java.lang.String dump(java.lang.Object[] buf)

    - #### dump

          public static java.lang.String dump(java.lang.Object[] buf,
                                              int length)

    - #### dump

          public static java.lang.String dump(java.lang.Object[] buf,
                                              int offset,
                                              int length)